<?php

namespace Utils\System\Database\Entity;

/**
 * Class Email
 *
 * @author Gabriel Anhaia <gabriel@sadglobal.com.br>
 *
 * @package Utils\System\Entity
 */
class Email
{
    /** @var integer $id Identificador do cliente. */
    protected $id;

    /** @var integer $port Porta de conexão com o host. */
    public $port;

    /** @var string $protocol Protocolo de envio de email. */
    public $protocol;

    /** @var string $host Endereço do host do servidor de emails. */
    public $host;

    /** @var integer $company_id Identificador da empresa. */
    public $company_id;

    /** @var string $encrypt Tipo de segurança da encriptação. */
    public $encrypt;

    /** @var string $username Nome de usuário de autenticação do sistema. */
    public $username;

    /** @var string $password Senha de autenticação do sistema. */
    public $password;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return Email
     */
    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return int
     */
    public function getPort()
    {
        return $this->port;
    }

    /**
     * @param int $port
     * @return Email
     */
    public function setPort($port)
    {
        $this->port = $port;
        return $this;
    }

    /**
     * @return string
     */
    public function getProtocol()
    {
        return $this->protocol;
    }

    /**
     * @param string $protocol
     * @return Email
     */
    public function setProtocol($protocol)
    {
        $this->protocol = $protocol;
        return $this;
    }

    /**
     * @return string
     */
    public function getHost()
    {
        return $this->host;
    }

    /**
     * @param string $host
     * @return Email
     */
    public function setHost($host)
    {
        $this->host = $host;
        return $this;
    }

    /**
     * @return int
     */
    public function getCompanyId()
    {
        return $this->company_id;
    }

    /**
     * @param int $company_id
     * @return Email
     */
    public function setCompanyId($company_id)
    {
        $this->company_id = $company_id;
        return $this;
    }

    /**
     * @return string
     */
    public function getEncrypt()
    {
        return $this->encrypt;
    }

    /**
     * @param string $encrypt
     * @return Email
     */
    public function setEncrypt($encrypt)
    {
        $this->encrypt = $encrypt;
        return $this;
    }

    /**
     * @return string
     */
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * @param string $username
     * @return Email
     */
    public function setUsername($username)
    {
        $this->username = $username;
        return $this;
    }

    /**
     * @return string
     */
    public function getPassword()
    {
        return $this->password;
    }

    /**
     * @param string $password
     * @return Email
     */
    public function setPassword($password)
    {
        $this->password = $password;
        return $this;
    }
}